VERSION 5.00
Begin VB.Form frmNew3S 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   3495
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   3375
   Icon            =   "New3S.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3495
   ScaleWidth      =   3375
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.ComboBox cmbLayout 
      Height          =   315
      Left            =   2040
      Style           =   2  'Dropdown List
      TabIndex        =   8
      Top             =   1440
      Width           =   1215
   End
   Begin VB.CommandButton cmdNext 
      Default         =   -1  'True
      Height          =   375
      Left            =   2280
      TabIndex        =   0
      Top             =   3000
      Width           =   975
   End
   Begin VB.CommandButton cmdCancel 
      Height          =   375
      Left            =   1200
      TabIndex        =   3
      Top             =   3000
      Width           =   975
   End
   Begin VB.CommandButton cmdBack 
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   3000
      Width           =   975
   End
   Begin VB.ComboBox cmbPages 
      Height          =   315
      Left            =   2520
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   240
      Width           =   735
   End
   Begin VB.Label lblSpread 
      Height          =   495
      Left            =   120
      TabIndex        =   9
      Top             =   1920
      Width           =   3135
   End
   Begin VB.Label lblLayout 
      Height          =   495
      Left            =   120
      TabIndex        =   7
      Top             =   1320
      Width           =   1815
   End
   Begin VB.Label lblPrices 
      Alignment       =   2  'Center
      ForeColor       =   &H00000000&
      Height          =   285
      Left            =   120
      TabIndex        =   6
      Top             =   2520
      Width           =   3135
   End
   Begin VB.Label lblRemark 
      Height          =   495
      Left            =   120
      TabIndex        =   5
      Top             =   720
      Width           =   3135
   End
   Begin VB.Label lblPages 
      Height          =   495
      Left            =   120
      TabIndex        =   4
      Top             =   120
      Width           =   2295
   End
End
Attribute VB_Name = "frmNew3S"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'*************************************
'* Private declarations & constants: *
'*************************************

'Hand cursor declarations:
Private Declare Function SetCursor Lib "user32" (ByVal hCursor As Long) As Long
Private Declare Function LoadCursor Lib "user32" Alias "LoadCursorA" (ByVal hInstance As Long, ByVal lpCursorName As Long) As Long

'Hand cursor constant:
Private Const HandCursor = 32649&

'*********
'* Form: *
'*********

Private Sub Form_Load()

  On Error GoTo Error_Handler
  If sPartner <> "asadventure" Then Me.Icon = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & "icon32.ico")
  Me.Caption = frmNew3S_Caption
  lblPages.Caption = frmNew3S_lblPages_Caption
  lblRemark.Caption = frmNew3S_lblRemark_Caption
  lblLayout.Caption = frmNew3S_lblLayout_Caption
  lblSpread.Caption = frmNew3S_lblSpread_Caption
  lblPrices.Caption = frmNew3S_lblPrices_Caption
  lblPrices.ToolTipText = frmNew3S_lblPrices_ToolTipText
  cmdBack.Caption = frmNew3S_cmdBack_Caption
  cmdCancel.Caption = frmNew3S_cmdCancel_Caption
  cmdNext.Caption = frmNew3S_cmdNext_Caption
  lblPrices.ForeColor = vbBlue
  lblPrices.FontBold = True
  lblPrices.FontUnderline = True
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3S:Form_Load", Erl
  Resume Next
  
End Sub

Private Sub Form_Activate()

  cmbPages.Clear
  
  If sNewSize = "LUX4_2" Then
  
    cmbPages.AddItem ("10")
    cmbPages.AddItem ("14")
    cmbPages.AddItem ("18")
    cmbPages.Text = "14"
    
  Else
  
    cmbPages.AddItem ("13")
    cmbPages.AddItem ("17")
    cmbPages.AddItem ("21")
    cmbPages.AddItem ("25")
    cmbPages.AddItem ("29")
    cmbPages.AddItem ("33")
    cmbPages.AddItem ("37")
    
    If sNewSize <> "B3_2" Then
    
      cmbPages.AddItem ("41")
      cmbPages.AddItem ("45")
      cmbPages.AddItem ("50")
      
    End If
    
    cmbPages.Text = "25"
    
  End If
  
  cmbLayout.Clear
  cmbLayout.AddItem (GetFromINI("frmNew3S", "LayoutSpread"))
  cmbLayout.AddItem (GetFromINI("frmNew3S", "LayoutPage"))
  cmbLayout.Text = GetFromINI("frmNew3S", "LayoutSpread")
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3S:Form_Activate", Erl
  Resume Next
  
End Sub

'*******************
'* CommandButtons: *
'*******************

Private Sub cmdBack_Click()

  On Error GoTo Error_Handler
  Me.Hide
  On Error Resume Next
  frmNew2S.Show vbModal
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3S:cmdBack_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdCancel_Click()

  On Error GoTo Error_Handler
  Me.Hide
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3S:cmdCancel_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdNext_Click()

  On Error GoTo Error_Handler
  If cmbLayout.Text <> "per spread" Then sNewSize = Left(sNewSize, Len(sNewSize) - 2)
  sPageType = CInt(cmbPages.Text) & sNewSize
  sCover = "SP"
  
  If sNewSize = "LUX4_2" Or sNewSize = "LUX4" Then
  
    Select Case CInt(cmbPages.Text)
    
    Case 10
    
      iCvrNr = 1
      
    Case 14
    
      iCvrNr = 2
      
    Case 18
    
      iCvrNr = 3
      
    End Select
    
  ElseIf sNewSize = "B4_2" Or sNewSize = "LUX5_2" Or sNewSize = "B4" Or sNewSize = "LUX5" Then
  
    Select Case CInt(cmbPages.Text)
    
    Case 13
    
      iCvrNr = 1
      
    Case 17
    
      iCvrNr = 2
      
    Case 21
    
      iCvrNr = 3
      
    Case 25
    
      iCvrNr = 5
      
    Case 29
    
      iCvrNr = 6
      
    Case 33
    
      iCvrNr = 7
      
    Case 37
    
      iCvrNr = 8
      
    Case 41
    
      iCvrNr = 10
      
    Case 45
    
      iCvrNr = 11
      
    Case 50
    
      iCvrNr = 13
      
    End Select
    
  Else
  
    Select Case CInt(cmbPages.Text)
    
    Case 13
    
      iCvrNr = 1
      
    Case 17
    
      iCvrNr = 2
      
    Case 21
    
      iCvrNr = 3
      
    Case 25
    
      iCvrNr = 4
      
    Case 29
    
      iCvrNr = 5
      
    Case 33
    
      iCvrNr = 6
      
    Case 37
    
      iCvrNr = 7
      
    Case 41
    
      iCvrNr = 9
      
    Case 45
    
      iCvrNr = 10
      
    Case 50
    
      iCvrNr = 12
      
    End Select
    
  End If
  
  Me.Hide
  bScrap = False
  sTheme = vbNullString
  CreateAlbum sNewName
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3S:cmdNext_Click", Erl
  Resume Next
  
End Sub

'**********
'* Label: *
'**********

Private Sub lblPrices_Click()

  On Error GoTo Error_Handler
  frmPrices.GetPrices ThisCode, ThisCover
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3S:lblPrices_Click", Erl
  Resume Next
  
End Sub

Private Sub lblPrices_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

  Dim lHdl As Long
  
  On Error GoTo Error_Handler
  lHdl = LoadCursor(0, HandCursor)
  If (lHdl > 0) Then SetCursor lHdl
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3S:lblPrices_MouseMove", Erl
  Resume Next
  
End Sub

